> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put propertiesapplication properties

> Updates the existing store of application properties for the current Application and Account associated
with the User Authentication Token. As Application Properties do not drive application behavior,
they may be added or removed as needed, unlike System or Forum properties, which may only have
the value modified for a defined Property Key.

The Properties provided in the Application Properties Update object PUT to this end point will be used to
update the matching properties for the current Account and Application in the System. The Application
Properties Update object includes the following attributes:

The requesting User must either be the SystemAdmin, or the user's HomeAccount must match
the SYSID_Account of the Properties. The User must have the following rights to perform this task:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml put /properties/application-properties
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /properties/application-properties:
    put:
      tags:
        - PropertiesService
      description: >-
        Updates the existing store of application properties for the current
        Application and Account associated

        with the User Authentication Token. As Application Properties do not
        drive application behavior,

        they may be added or removed as needed, unlike System or Forum
        properties, which may only have

        the value modified for a defined Property Key.


        The Properties provided in the Application Properties Update object PUT
        to this end point will be used to

        update the matching properties for the current Account and Application
        in the System. The Application

        Properties Update object includes the following attributes:


        The requesting User must either be the SystemAdmin, or the user's
        HomeAccount must match

        the SYSID_Account of the Properties. The User must have the following
        rights to perform this task:
      operationId: updateApplicationProperties
      parameters: []
      requestBody:
        description: ': ApplicationPropertiesUpdate'
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  replaceAll: true
                  sysidApplication: 12345
                  appProperties:
                    - description: ...
                      keyValue: ...
                      id:
                        sysidApplication: 12345
                        sysidAccount: 12345
                        propsKey: ...
                      comment: ...
                      sysidAttributeDataType: 12345
                    - description: ...
                      keyValue: ...
                      id:
                        sysidApplication: 12345
                        sysidAccount: 12345
                        propsKey: ...
                      comment: ...
                      sysidAttributeDataType: 12345
            schema:
              $ref: '#/components/schemas/ApplicationPropertiesUpdate'
      responses:
        '204':
          content:
            application/json:
              schema:
                type: string
          description: HTTP Response 204 on successful completion.
components:
  schemas:
    ApplicationPropertiesUpdate:
      type: object
      title: ApplicationPropertiesUpdate
      required:
        - replaceAll
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            replaceAll:
              type: boolean
            sysidApplication:
              type: integer
              format: int32
            appProperties:
              type: array
              items:
                $ref: '#/components/schemas/ApplicationPropertyData'
      example:
        replaceAll: true
        sysidApplication: 12345
        appProperties:
          - description: ...
            keyValue: ...
            id:
              sysidApplication: 12345
              sysidAccount: 12345
              propsKey: ...
            comment: ...
            sysidAttributeDataType: 12345
          - description: ...
            keyValue: ...
            id:
              sysidApplication: 12345
              sysidAccount: 12345
              propsKey: ...
            comment: ...
            sysidAttributeDataType: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ApplicationPropertyData:
      type: object
      title: ApplicationPropertyData
      required:
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            keyValue:
              type: string
            id:
              $ref: '#/components/schemas/ApplicationPropertyId'
            comment:
              type: string
            sysidAttributeDataType:
              type: integer
              format: int32
      example:
        description: ...
        keyValue: ...
        id:
          sysidApplication: 12345
          sysidAccount: 12345
          propsKey: ...
        comment: ...
        sysidAttributeDataType: 12345
    ApplicationPropertyId:
      type: object
      title: ApplicationPropertyId
      properties:
        sysidApplication:
          type: integer
          format: int32
        sysidAccount:
          type: integer
          format: int32
        propsKey:
          type: string
      example:
        sysidApplication: 12345
        sysidAccount: 12345
        propsKey: ...

````